#
# spec file for package libstrophe
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define c_lib   libstrophe0
Name:           libstrophe
Version:        0.9.1
Release:        3.1
Summary:        A XMPP library for C
License:        GPL-3.0+ or MIT
Group:          Development/Libraries
Url:            http://strophe.im/libstrophe/
Source0:        https://github.com/strophe/%{name}/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Strophe is a collection of libraries for speaking the XMPP protocol.

While most XMPP libraries and implementations are focused on chat-based applications,
Strophe takes a grander view.

It has been used to implement real-time games, notification systems, search engines,
as well as traditional instant messaging.

The implementations are production ready, well documented,
easy to use, and easy to extend.

%package -n libstrophe-devel
Summary:        Development files for libstrophe
Group:          Development/Libraries
Requires:       libstrophe0 = %{version}

%description -n libstrophe-devel
Development files and headers for libstrophe

%package -n %{c_lib}
Summary:        A XMPP library for C
Group:          System/Libraries

%description -n %{c_lib}
The libstrophe library is a XMPP library written in C.

%prep
%setup -q

%build
mkdir m4
./bootstrap.sh
%configure --disable-static --with-libxml2
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm %{buildroot}%{_libdir}/libstrophe.la

%post -n libstrophe0 -p /sbin/ldconfig

%postun -n libstrophe0 -p /sbin/ldconfig

%files -n libstrophe0
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libstrophe.so.*

%files -n libstrophe-devel
%defattr(-,root,root)
%{_libdir}/libstrophe.so
%{_includedir}/strophe.h
%{_libdir}/pkgconfig/libstrophe.pc

%changelog
* Fri Sep 16 2016 mvetter@suse.com
- Update to 0.9.1:
  * Fixed bug #95 (DNS lookup failing on Cygwin)
  * Removed dependency on the check package
* Thu Sep 15 2016 mvetter@suse.com
- Update to 0.9.0:
  * IPv6 support
  * Legacy SSL support
  * Initial Android support
  * Resolver returns all SRV records instead of one. Lookup is performed
    according to RFC2052
  * xmpp_connect_raw() provides access to a xmpp_conn object just after
    establishing TCP connection. This allows to implement in-band
    registration, authentication mechanisms or serverless messaging
  * xmpp_conn_t object is reusable now and can be reconnected with saving
    all handlers, flags, jid and password
    New API:
  * xmpp_uuid_gen()
  * xmpp_connect_raw()
  * xmpp_conn_open_stream_default()
  * xmpp_conn_open_stream()
  * xmpp_conn_tls_start()
  * xmpp_conn_get_flags()
  * xmpp_conn_set_flags()
  * xmpp_conn_set_keepalive()
  * xmpp_conn_is_secured()
  * xmpp_stanza_del_attribute()
  * xmpp_stanza_get_to()
  * xmpp_stanza_get_from()
  * xmpp_stanza_set_to()
  * xmpp_stanza_set_from()
  * xmpp_stanza_reply()
  * xmpp_message_new()
  * xmpp_message_get_body()
  * xmpp_message_set_body()
  * xmpp_iq_new()
  * xmpp_presence_new()
    Exposed private API:
  * xmpp_jid_new()
  * xmpp_jid_bare()
  * xmpp_jid_node()
  * xmpp_jid_domain()
  * xmpp_jid_resource()
  * xmpp_stanza_get_attribute_count()
  * xmpp_stanza_get_attributes()
* Wed May 18 2016 mvetter@suse.com
- Update to 0.8.8:
  * XML namespace support
  * XEP-0114 support
  * Bugfixes
* Fri Jun 19 2015 cfarrell@suse.com
- license update: GPL-3.0+ or MIT
  Package is dual licensed
* Tue Jun 16 2015 g.bluehut@gmail.com
- Use variable instead of name for library package
* Wed May 27 2015 g.bluehut@gmail.com
- Define URL to source instead of only relying on local one
* Wed May 27 2015 g.bluehut@gmail.com
- Let rpm handle the detection of libxml2, remove requires libxml2
* Wed May 27 2015 g.bluehut@gmail.com
- Add lib subpackage
* Mon Apr 20 2015 g.bluehut@gmail.com
- Run spec-cleaner
* Tue Feb  3 2015 dmacvicar@suse.de
- initial package for 0.8.7
